<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$app->get('/', function () use ($app) {
    $users = \App\User::all();
    return response()->json($users);
});

$app->post('/auth/login', [
    'uses' => 'AuthController@authenticate',
]);

//'middleware' => 'jwt.auth'

$app->group(['prefix' => 'api'], function () use ($app) {
    $app->get('notifications/{userId}', 'App\Http\Controllers\NotificationController@get');
    $app->post('notifications/{userId}/tokens', 'App\Http\Controllers\NotificationController@post');
    $app->patch('notifications/{userId}/{notificaionId}', 'App\Http\Controllers\NotificationController@patch');
    $app->delete('notifications/{userId}/{notificaionId}', 'App\Http\Controllers\NotificationController@delete');
});
